[arch-commits] CVS update of extra/lib (6 files)

Tobias Powalowski tpowa at archlinux.org
Fri Dec 7 15:41:59 EST 2007


    Date: Friday, December 7, 2007 @ 15:41:59
  Author: tpowa
    Path: /home/cvs-extra/extra/lib

   Added: eigen/PKGBUILD (1.1) qimageblitz/PKGBUILD (1.1)
          soprano/PKGBUILD (1.1) strigi/PKGBUILD (1.1)
          tapioca-qt/PKGBUILD (1.1) telepathy-qt/PKGBUILD (1.1)

newpkg: depends for new kde4


-----------------------+
 eigen/PKGBUILD        |   28 ++++++++++++++++++++++++++++
 qimageblitz/PKGBUILD  |   27 +++++++++++++++++++++++++++
 soprano/PKGBUILD      |   27 +++++++++++++++++++++++++++
 strigi/PKGBUILD       |   28 ++++++++++++++++++++++++++++
 tapioca-qt/PKGBUILD   |   27 +++++++++++++++++++++++++++
 telepathy-qt/PKGBUILD |   27 +++++++++++++++++++++++++++
 6 files changed, 164 insertions(+)


Index: extra/lib/eigen/PKGBUILD
diff -u /dev/null extra/lib/eigen/PKGBUILD:1.1
--- /dev/null	Fri Dec  7 15:41:59 2007
+++ extra/lib/eigen/PKGBUILD	Fri Dec  7 15:41:58 2007
@@ -0,0 +1,28 @@
+# $Id: PKGBUILD,v 1.1 2007/12/07 20:41:58 tpowa Exp $
+# Maintainer: Tobias Powalowski <tpowa at archlinux.org>
+
+pkgname=eigen
+pkgver=1.0.5.svn744389
+pkgrel=1
+pkgdesc="Eigen is a lightweight C++ template library for vector and matrix math, a.k.a. linear algebra."
+arch=('i686' 'x86_64')
+url="http://eigen.tuxfamily.org/"
+license=('GPL2')
+depends=()
+makedepends=('cmake' 'pkgconfig')
+# svn snapshot: svn co svn://anonsvn.kde.org/home/kde/trunk/kdesupport/eigen
+source=(ftp://ftp.archlinux.org/other/eigen/$pkgname-$pkgver.tar.bz2
+	#http://kent.dl.sourceforge.net/sourceforge/$pkgname/$pkgname-$pkgver.tar.bz2
+	)
+options=(!libtool)
+
+build() {
+  # start building
+  cd $startdir/src/$pkgname
+
+  cmake . -DCMAKE_INSTALL_PREFIX=/usr -DCMAKE_BUILD_TYPE=Release
+
+  make VERBOSE=1 || return 1
+  make DESTDIR=$startdir/pkg install || return 1
+}
+md5sums=('a251dd5cea6067738b09667b8b6bf760')
Index: extra/lib/qimageblitz/PKGBUILD
diff -u /dev/null extra/lib/qimageblitz/PKGBUILD:1.1
--- /dev/null	Fri Dec  7 15:41:59 2007
+++ extra/lib/qimageblitz/PKGBUILD	Fri Dec  7 15:41:58 2007
@@ -0,0 +1,27 @@
+# $Id: PKGBUILD,v 1.1 2007/12/07 20:41:58 tpowa Exp $
+# Maintainer: Tobias Powalowski <tpowa at archlinux.org>
+
+pkgname=qimageblitz
+pkgver=0.0.3.svn744387
+pkgrel=1
+pkgdesc="An interm image effect library"
+arch=('i686' 'x86_64')
+url="http://www.kde.org/"
+license=('GPL2')
+depends=('qt>=4.3.2')
+makedepends=('cmake' 'pkgconfig')
+#svn snapshot: svn co svn://anonsvn.kde.org/home/kde/trunk/kdesupport/qimageblitz
+source=(ftp://ftp.archlinux.org/other/qimageblitz/$pkgname-$pkgver.tar.bz2)
+md5sums=()
+options=(!libtool)
+
+build() {
+  # start building
+  cd $startdir/src/qimageblitz
+
+  cmake -DCMAKE_INSTALL_PREFIX=/usr -DCMAKE_BUILD_TYPE=Release
+
+  make VERBOSE=1 || return 1
+  make DESTDIR=$startdir/pkg install || return 1
+}
+md5sums=('d48b318e5dcdea2c9b21a6f7646429dd')
Index: extra/lib/soprano/PKGBUILD
diff -u /dev/null extra/lib/soprano/PKGBUILD:1.1
--- /dev/null	Fri Dec  7 15:41:59 2007
+++ extra/lib/soprano/PKGBUILD	Fri Dec  7 15:41:59 2007
@@ -0,0 +1,27 @@
+# $Id: PKGBUILD,v 1.1 2007/12/07 20:41:59 tpowa Exp $
+# Maintainer: Tobias Powalowski <tpowa at archlinux.org>
+
+pkgname=soprano
+pkgver=1.98.0.svn744389
+pkgrel=1
+pkgdesc="Soprano is a library which provides a QT wrapper API to different RDF storage solutions."
+arch=('i686' 'x86_64')
+url="http://soprano.sourceforge.net/"
+license=('GPL2')
+depends=('qt>=4.3.2' 'clucene' 'redland')
+makedepends=('cmake' 'pkgconfig')
+# svn snapshot: svn co svn://anonsvn.kde.org/home/kde/trunk/kdesupport/soprano
+source=(ftp://ftp.archlinux.org/other/soprano/$pkgname-$pkgver.tar.bz2
+	#http://belnet.dl.sourceforge.net/sourceforge/soprano/soprano-1.97.1-beta4.tar.bz2
+	)
+options=(!libtool)
+
+build() {
+  # start building
+  cd $startdir/src/soprano
+
+  cmake -DCMAKE_INSTALL_PREFIX=/usr -DCMAKE_BUILD_TYPE=Release
+  make VERBOSE=1 || return 1
+  make DESTDIR=$startdir/pkg install || return 1
+}
+md5sums=('7c07b1ffbb53bf290d3ef595995803c4')
Index: extra/lib/strigi/PKGBUILD
diff -u /dev/null extra/lib/strigi/PKGBUILD:1.1
--- /dev/null	Fri Dec  7 15:41:59 2007
+++ extra/lib/strigi/PKGBUILD	Fri Dec  7 15:41:59 2007
@@ -0,0 +1,28 @@
+# $Id: PKGBUILD,v 1.1 2007/12/07 20:41:59 tpowa Exp $
+# Maintainer: Tobias Powalowski <tpowa at archlinux.org>
+
+pkgname=strigi
+pkgver=0.5.7.svn744384
+pkgrel=1
+pkgdesc="Strigi Desktop Search"
+arch=('i686' 'x86_64')
+url="http://strigi.sourceforge.net"
+license=('GPL2')
+depends=('qt>=4.3.2' 'clucene' 'bzip2' 'libxml2')
+makedepends=('cmake' 'pkgconfig' 'exiv2' 'dbus')
+#svn snapshot: svn co svn://anonsvn.kde.org/home/kde/trunk/kdesupport/strigi
+source=(ftp://ftp.archlinux.org/other/strigi/$pkgname-$pkgver.tar.bz2
+	#http://kent.dl.sourceforge.net/sourceforge/$pkgname/$pkgname-$pkgver.tar.bz2
+	)
+options=(!libtool)
+
+build() {
+  # start building
+  cd $startdir/src/$pkgname
+
+  cmake . -DCMAKE_INSTALL_PREFIX=/usr -DCMAKE_BUILD_TYPE=Release
+
+  make VERBOSE=1 || return 1
+  make DESTDIR=$startdir/pkg install || return 1
+}
+md5sums=('86da9a826f93baa163ca9526a44c7008')
Index: extra/lib/tapioca-qt/PKGBUILD
diff -u /dev/null extra/lib/tapioca-qt/PKGBUILD:1.1
--- /dev/null	Fri Dec  7 15:41:59 2007
+++ extra/lib/tapioca-qt/PKGBUILD	Fri Dec  7 15:41:59 2007
@@ -0,0 +1,27 @@
+# $Id: PKGBUILD,v 1.1 2007/12/07 20:41:59 tpowa Exp $
+# Maintainer: Tobias Powalowski <tpowa at archlinux.org>
+
+pkgname=tapioca-qt
+pkgver=0.14.1.2066
+pkgrel=1
+pkgdesc="A set of convenience libraries to easily integrate VoIP in qt"
+url="http://tapioca-voip.sourceforge.net/wiki/index.php/Tapioca"
+license=('GPL2')
+arch=('i686' 'x86_64')
+depends=('qt>=4.3.2' 'telepathy-qt')
+# svn snapshot: https://tapioca-voip.svn.sourceforge.net/svnroot/tapioca-voip
+source=(ftp://ftp.archlinux.org/other/tapioca-qt/tapioca-qt-2066.tar.bz2)
+#http://belnet.dl.sourceforge.net/sourceforge/tapioca-voip/$pkgname-$pkgver.tar.gz)
+options=(!libtool)
+
+build() {
+  # start building
+  cd $startdir/src/
+  mkdir build 
+  cd build
+  cmake ../$pkgname -DCMAKE_INSTALL_PREFIX=/usr -DCMAKE_BUILD_TYPE=Release
+
+  make VERBOSE=1 || return 1
+  make DESTDIR=$startdir/pkg install || return 1
+}
+md5sums=('e17f296728de6230fcefc1419db71658')
Index: extra/lib/telepathy-qt/PKGBUILD
diff -u /dev/null extra/lib/telepathy-qt/PKGBUILD:1.1
--- /dev/null	Fri Dec  7 15:41:59 2007
+++ extra/lib/telepathy-qt/PKGBUILD	Fri Dec  7 15:41:59 2007
@@ -0,0 +1,27 @@
+# $Id: PKGBUILD,v 1.1 2007/12/07 20:41:59 tpowa Exp $
+# Maintainer: Tobias Powalowski <tpowa at archlinux.org>
+
+pkgname=telepathy-qt
+pkgver=0.14.1.2031
+pkgrel=1
+pkgdesc="A set of convenience libraries to easily integrate VoIP in qt"
+url="http://tapioca-voip.sourceforge.net/wiki/index.php/Tapioca"
+license=('GPL2')
+arch=('i686' 'x86_64')
+depends=('qt>=4.3.2')
+# svn snapshot: https://tapioca-voip.svn.sourceforge.net/svnroot/tapioca-voip
+source=(ftp://ftp.archlinux.org/other/telepathy-qt/telepathy-qt-2031.tar.bz2)
+#http://heanet.dl.sourceforge.net/sourceforge/tapioca-voip/$pkgname-$pkgver.tar.gz)
+options=(!libtool)
+
+build() {
+  # start building
+  cd $startdir/src/
+  mkdir build 
+  cd build
+  cmake ../$pkgname -DCMAKE_INSTALL_PREFIX=/usr -DCMAKE_BUILD_TYPE=Release
+
+  make VERBOSE=1 || return 1
+  make DESTDIR=$startdir/pkg install || return 1
+}
+md5sums=('ffca0cc6c21ff90d37082cf06a4ebd7a')




More information about the arch-commits mailing list